// Active Account Gadget
// Author: Lawrence James
///////////////////////////////////////////////////////////////////////////////////////////////////
function loadMain(){

glass=document.getElementById("glassImg")
usertile=document.getElementById("aPictureImg")
redbar=document.getElementById("aoverlayImg")
text=document.getElementById("dockedLine1")

// init dock/undock event methods
System.Gadget.onDock = procDockEvent;                                   // set gadget ondock method    
System.Gadget.onUndock = procUndockEvent;                               // set gadget onundock method

// init settings event methods and data
System.Gadget.settingsUI = "settings.htm";                              // set settings page
System.Gadget.onSettingsClosed = procSettingsClosedEvent;               // set settings onclosed method

bigundocked = System.Gadget.Settings.read("showtxt");            		    // read settings data

docked()
}
///////////////////////////////////////////////////////////////////////////////////////////////////
// procSettingsClosedEvent - process settings closed event
///////////////////////////////////////////////////////////////////////////////////////////////////
function procSettingsClosedEvent(event){
    // process settings closed event
   if (event.closeAction == event.Action.commit) {
       loadMain();
   }
}
///////////////////////////////////////////////////////////////////////////////////////////////////
// procDockEvent - process dock event
///////////////////////////////////////////////////////////////////////////////////////////////////
function procDockEvent()
{docked();}
///////////////////////////////////////////////////////////////////////////////////////////////////
// procUndockEvent - process undock event
///////////////////////////////////////////////////////////////////////////////////////////////////
function procUndockEvent()
{
    if (bigundocked==true)
    {
    // set gadget document styles
    document.body.style.width = "120px";                                          // set total gadget width
    document.body.style.height = "120px";                                           // set total gadget height
    document.body.style.backgroundImage="url(images/bg.png)";                // set gadget background image

    // set main gadget frame styles
    gadgetMainFrame.style.width = "120px";                                          // set main frame width
    gadgetMainFrame.style.height = "120px";                                         // set main frame height

    usertile.width="99";
    usertile.height="98";
    usertile.style.left="5px";
    usertile.style.top="10px";

    redbar.width="99";
    redbar.height="13";
    redbar.style.left="5px";
    redbar.style.top="96px";

    glass.width="99";
    glass.height="98";
    glass.style.left="5px";
    glass.style.top="10px";

    text.style.left="8px";
    text.style.top="95px";
    }
    else
    {
    docked()
    }
}

///////////////////////////////////////////////////////////////////////////////////////////////////
// docked - main stuff
///////////////////////////////////////////////////////////////////////////////////////////////////
function docked()
{
// set gadget document styles
document.body.style.width = "80px";                                          // set total gadget width
document.body.style.height = "80px";                                           // set total gadget height
document.body.style.backgroundImage="url(images/bg.png)";                // set gadget background image

// set main gadget frame styles
gadgetMainFrame.style.width = "80px";                                          // set main frame width
gadgetMainFrame.style.height = "80px";                                         // set main frame height

//get user variables
var currentuser = System.Environment.getEnvironmentVariable("UserName")  
var temp = System.Environment.getEnvironmentVariable("temp")  

bgimage=temp  + "/" + currentuser + ".bmp";
usertile.src= bgimage; //display the picture

usertile.width="65";
usertile.height="64";
usertile.style.left="3px";
usertile.style.top="7px";

redbar.width="66";
redbar.height="12";
redbar.style.left="2px";
redbar.style.top="60px";


glass.width="65";
glass.height="64";
glass.style.left="3px";
glass.style.top="7px";

text.style.left="3px";
text.style.top="60px";

//trim to fit on flyout
if (currentuser.length>12)
{currentuser=currentuser.substring(0,11) + "."}
else{currentuser=currentuser}        

// All ok. display details on sidebar
text.innerHTML ="<b>" + currentuser + "</b>";
}